Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.query.xquery.expr
Class FTWords

    java.lang.Object
      org.basex.query.ExprInfo
          org.basex.query.xquery.expr.Expr
              org.basex.query.xquery.expr.FTExpr
                  org.basex.query.xquery.expr.FTWords

    public final class FTWords

extends FTExpr

FTWords expression.

Author:
  Workgroup DBIS, University of Konstanz 2005-08, ISC License, Christian Gruen

Nested Class Summary

Nested classes/interfaces inherited from class org.basex.query.xquery.expr.Expr
`Expr.Return, Expr.Using`

Field Summary
`Expr` | `query` Expression list.

Fields inherited from class org.basex.query.xquery.expr.FTExpr
`expr`

Constructor Summary
`FTWords(Expr e, FTOpt.FTMode m, Expr[] o)` Constructor.

Method Summary
`FTExpr` | `comp(XQContext ctx)` Optimizes and compiles the expression.
`Iter` | `iter(XQContext ctx)` Evaluates the expression and returns an iterator on the resulting items.
`void` | `plan(Serializer ser)` Recursively sends the abstract syntax of this expression to the specified serializer.
`java.lang.String` | `toString()`

Methods inherited from class org.basex.query.xquery.expr.FTExpr
`uses`

Methods inherited from class org.basex.query.xquery.expr.Expr
`e, i, returned`

Methods inherited from class org.basex.query.ExprInfo
`color, info, name`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### query

    public Expr query

  Expression list.

Constructor Detail

### FTWords

    public FTWords(Expr e,
                   FTOpt.FTMode m,
                   Expr[] o)

  Constructor.

  Parameters:
    `e` - expression
    `m` - search mode
    `o` - occurrences

Method Detail

### comp

    public FTExpr comp(XQContext ctx)
                throws XQException

  Description copied from class: `Expr`
  Optimizes and compiles the expression.

  Overrides:
    `comp` in class `FTExpr`
  Parameters:
    `ctx` - query context
  Returns:
    optimized Expression
  Throws:
    `XQException` - evaluation exception

### iter

    public Iter iter(XQContext ctx)
              throws XQException

  Description copied from class: `Expr`
  Evaluates the expression and returns an iterator on the resulting items.

  Specified by:
    `iter` in class `Expr`
  Parameters:
    `ctx` - query context
  Returns:
    resulting item
  Throws:
    `XQException` - evaluation exception

### plan

    public void plan(Serializer ser)
              throws java.io.IOException

  Description copied from class: `ExprInfo`
  Recursively sends the abstract syntax of this expression to the specified serializer.

  Overrides:
    `plan` in class `FTExpr`
  Parameters:
    `ser` - serializer
  Throws:
    `java.io.IOException` - exception

### toString

    public java.lang.String toString()

  Specified by:
    `toString` in class `ExprInfo`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD